<%
'****************************************************************************************
'**  Copyright Notice
'**
'**  Web Wiz Guide - Web Wiz Rich Text Editor
'**
'**  Copyright 2002-2004 Bruce Corkhill All Rights Reserved.
'**
'**  This program is free software; you can modify (at your own risk) any part of it
'**  under the terms of the License that accompanies this software and use it both
'**  privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even
'**  if it is modified or reverse engineered in whole or in part without express
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**
'**  All links to Web Wiz Guide and powered by logo's must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**
'**  You should have received a copy of the License along with this program;
'**  if not, write to:- Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom.
'**
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.info/forum
'**
'**  Support questions are NOT answered by email ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.info
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'**
'****************************************************************************************



Const strTxtTextFormat = "Text Format"
Const strTxtMode = "Mode"
Const strTxtPrompt = "Prompt"
Const strTxtBasic = "Basic"
Const strTxtAddEmailLink = "Add Email Link"
Const strTxtList = "List"
Const strTxtCentre = "Centre"

Const strTxtEnterBoldText = "Enter text you want formatted in Bold"
Const strTxtEnterItalicText = "Enter text you want formatted in Italic"
Const strTxtEnterUnderlineText = "Enter text you want Underlined"
Const strTxtEnterCentredText = "Enter text you want Centred"
Const strTxtEnterHyperlinkText = "Enter the on screen display text for the Hyperlink"
Const strTxtEnterHeperlinkURL = "Enter the URL address to create Hyperlink to"
Const strTxtEnterEmailText = "Enter the on screen display text for the email address"
Const strTxtEnterEmailMailto = "Enter the email address to link to"
Const strTxtEnterImageURL = "Enter the web address of the image"
Const strTxtEnterTypeOfList = "Type of list"
Const strTxtEnterEnter = "Enter"
Const strTxtEnterNumOrBlankList = "for numbered or leave blank for bulleted"
Const strTxtEnterListError = "ERROR! Please enter"
Const strEnterLeaveBlankForEndList = "List item Leave blank to end list"


Const strTxtFontStyle = "Font Style"
Const strTxtFontTypes = "Font Types"
Const strTxtFontSizes ="Font Sizes"
Const strTxtEmoticons = "Emoticons"
Const strTxtFontSize = "Font Size"


Const strTxtFontColours ="Font Colours"
Const strTxtBlack = "Black"
Const strTxtWhite = "White"
Const strTxtBlue = "Blue"
Const strTxtRed = "Red"
Const strTxtGreen = "Green"
Const strTxtYellow = "Yellow"
Const strTxtOrange = "Orange"
Const strTxtBrown = "Brown"
Const strTxtMagenta = "Magenta"
Const strTxtCyan = "Cyan"
Const strTxtLimeGreen = "Lime Green"



Const strTxtCut = "Cut"
Const strTxtCopy = "Copy"
Const strTxtPaste = "Paste"
Const strTxtBold = "Bold"
Const strTxtItalic = "Italic"
Const strTxtUnderline = "Underline"
Const strTxtLeftJustify = "Left Justify"
Const strTxtCentrejustify = "Centre Justify"
Const strTxtRightJustify = "Right Justify"
Const strTxtJustify = "Justify"
Const strTxtUnorderedList = "Unordered List"
Const strTxtOutdent = "Outdent"
Const strTxtIndent = "Indent"
Const strTxtAddHyperlink = "Add Hyperlink"
Const strTxtAddImage = "Add Image"
Const strTxtJavaScriptEnabled = "JavaScript must be enabled on your web browser for you to post a message in the forum!"
Const strTxtShowSignature = "Show Signature"
Const strTxtEmailNotify = "Email Notify me of Replies"
Const strTxtUpdatePost = "Update Post"
Const strTxtFontColour = "Colour"
Const strTxtstrTxtOrderedList = "Ordered List"
Const strTxtTextColour = "Text Colour"
Const strTxtBackgroundColour = "Background Colour"
Const strTxtUndo = "Undo"
Const strTxtRedo = "Redo"
Const strTxtstrSpellCheck = "Spell Check"
Const strTxtToggleHTMLView = "Toggle HTML View"
Const strTxtAboutRichTextEditor = "About Rich Text Editor"
Const strTxtInsertTable = "Insert Table"

Const strTxtIeSpellNotDetected = "ieSpell not detected. Click OK to go to download page."


Const strTxtOK = "OK"
Const strTxtCancel = "Cancel"


Const strTxtImageUpload = "Image Upload"
Const strTxtFileUpload = "File Upload"
Const strTxtAvatarUpload = "Upload Avatar"
Const strTxtUpload = "Upload"

Const strTxtImage = "Image"
Const strTxtImagesMustBeOfTheType = "Images must be of the type"
Const strTxtAndHaveMaximumFileSizeOf = "and have a maximum file size of"
Const strTxtImageOfTheWrongFileType = "The image uploaded is of the wrong file type"
Const strTxtImageFileSizeToLarge = "The image file size is to large at"
Const strTxtMaximumFileSizeMustBe = "Maximum file size must be"

Const strTxtFile = "File"
Const strTxtFilesMustBeOfTheType = "Files must be of the type"
Const strTxtFileOfTheWrongFileType = "The file uploaded is of the wrong file type"
Const strTxtFileSizeToLarge = "The file size is to large at"


Const strTxtPleaseWaitWhileFileIsUploaded = "Please be patient while the file is being uploaded to the server."
Const strTxtPleaseWaitWhileImageIsUploaded = "Please be patient while the image is being uploaded to the server."


Const strTxtClickOnEmoticonToAdd = "Click on the emoticon you would like to add to your message."


Const strTxtCloseWindow = "Close Window"


Const strTxtPreview = "Preview"
Const strTxtThereIsNothingToPreview = "There is nothing to preview"


Const strTxtNoMessageError = "Message Box \t\t- Enter a Message to Submit"
Const strTxtErrorDisplayLine = "_______________________________________________________________"
Const strTxtErrorDisplayLine1 = "The form has not been submitted because there are problem(s) with the form."
Const strTxtErrorDisplayLine2 = "Please correct the problem(s) and re-submit the form."
Const strTxtErrorDisplayLine3 = "The following field(s) need to be corrected: -"
Const strResetFormConfirm = "Are you sure you want to reset the form?"

Const strTxtSubmitForm = "Submit Form"
Const strTxtResetForm = "Reset Form"

Const strTxtDisplayMessage = "Display Message"
Const strTxtThereIsNothingToShow = "There is no message to display"


Const strTxtImageURL = "Image URL"
Const strTxtAlternativeText = "Alternative Text"
Const strTxtLayout = "Layout"
Const strTxtAlignment = "Alignment"
Const strTxtBorder = "Border"
Const strTxtSpacing = "Spacing"
Const strTxtHorizontal = "Horizontal"
Const strTxtVertical = "Vertical"

Const strTxtRows = "Rows"
Const strTxtColumns = "Columns"
Const strTxtWidth = "Width"
Const strTxtpixels = "pixels"
Const strTxtCellPad = "Cell Pad"
Const strTxtCellSpace = "Cell Space"

%>